Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133012 - Entity class wizard uses property-based access
Entity class wizard uses property-based access
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Andrei Badea
issues@javaee
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 15:38 UTC by Andrei Badea
Modified: 2008-06-04 08:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2008-04-16 15:38:11 UTC
... as opposed to the field-based access used by default by the Entity Class from DB wizard and Create Entity ID hint.
Comment 1 Andrei Badea 2008-04-16 15:39:22 UTC
Also, it generates the primary key setter before the getter, which is not the usual practice.
Comment 2 Andrei Badea 2008-04-16 15:40:16 UTC
2c3e8d225366
Comment 3 Andrei Badea 2008-04-16 15:54:18 UTC
Marking as fixed.
Comment 4 Quality Engineering 2008-04-19 04:09:47 UTC
Issue '133012' Integrated in NB_Trunk_Production #145 : http://hg.netbeans.org/main/rev/2c3e8d225366,
 with comment: #133012: Entity class wizard uses property-based access
Comment 5 Jan Horvath 2008-04-23 13:57:50 UTC
v
Comment 6 pslechta 2008-04-28 18:35:16 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/d4a946219c7a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo